package com.engine.kq.biz;

/**
 * 考勤单位类
 */
public class KQUnitBiz {

  /**
   * 根据单位类型 判断请假是否是小时为单位
   * @param durationrule
   * @return
   */
  public static boolean isLeaveHour(String durationrule){
    if((durationrule.equals("3") || durationrule.equals("5") || durationrule.equals("6"))){
      return true;
    }
    return false;
  }

  /**
   * 根据请假类型 判断请假是否是小时为单位
   * @param durationrule
   * @return
   */
  public static boolean isLeaveHour(String newleavetype,KQLeaveRulesComInfo kqLeaveRulesComInfo){
    String durationrule = kqLeaveRulesComInfo.getMinimumUnit(newleavetype);
    return isLeaveHour(durationrule);
  }
}
